## python-oslo.i18n 0.1.0

=== requirements.txt ===
Babel>=1.3

=== debian/changelog ===
python-oslo.i18n (0.1.0-2) unstable; urgency=medium

  * Added some missing build-depends.
  * Do not run tests with Python 2.6.
  * Fix test with Python 3.2.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Jul 2014 00:17:26 +0800

python-oslo.i18n (0.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #754547)

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Jul 2014 17:09:25 +0800

=== debian/control ===
Source: python-oslo.i18n
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>,
           Gonéri Le Bouder <goneri@debian.org>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr,
               python3-setuptools
Build-Depends-Indep: python-babel (>= 1.3),
                     python-oslosphinx,
                     python-oslotest,
                     python-pip,
                     python-six,
                     python3-babel (>= 1.3),
                     python3-oslotest,
                     python3-six,
                     subunit,
                     testrepository
Build-Conflicts: python-oslo.config,
                 python-oslo.db,
                 python-oslo.messaging,
                 python-oslo.rootwrap,
                 python-oslo.sphinx,
                 python-oslo.vmware,
                 python3-oslo.config
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.i18n.git
Vcs-Git: git://anonscm.debian.org/openstack/python-oslo.i18n.git
Homepage: http://launchpad.net/oslo

Package: python-oslo.i18n
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-babel (>= 1.3), ${misc:Depends}, ${python:Depends}
Description: Oslo Internationalization Utilities - Python 2.x
 The oslo.i18n library contain utilities for working with internationalization
 (i18n) features, especially translation for text strings in an application or
 library.
 .
 This package contains the Python 2.x module.

Package: python3-oslo.i18n
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python3-babel (>= 1.3), ${misc:Depends}, ${python3:Depends}
Description: Oslo Internationalization Utilities - Python 3.x
 The oslo.i18n library contain utilities for working with internationalization
 (i18n) features, especially translation for text strings in an application or
 library.
 .
 This package contains the Python 3.x module.

Package: python-oslo.i18n-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Oslo Internationalization Utilities - doc
 The oslo.i18n library contain utilities for working with internationalization
 (i18n) features, especially translation for text strings in an application or
 library.
 .
  This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/oslo.i18n.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-oslo.i18n; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-oslo.i18n; \
	done

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e && for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr init ; \
		TEMP_REZ=`mktemp -t` && \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr slowest ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-oslo.i18n-doc/usr/share/doc/python-oslo.i18n-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/o/oslo.i18n oslo.i18n-(.*).tar.gz

## python-oslo.i18n 1.0.0

=== requirements.txt ===
Babel>=1.3
six>=1.7.0

=== debian/changelog ===
python-oslo.i18n (1.0.0-0ubuntu1~cloud0) trusty-juno; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 30 Sep 2014 03:07:37 -0400

python-oslo.i18n (1.0.0-0ubuntu1) utopic; urgency=medium

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 18 Sep 2014 12:28:45 -0400

python-oslo.i18n (0.3.0-0ubuntu1) utopic; urgency=medium

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 10 Sep 2014 09:41:19 -0400

python-oslo.i18n (0.1.0-1ubuntu3) utopic; urgency=medium

  * debian/control: Add python-six dependency. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 11 Aug 2014 11:18:50 -0400

python-oslo.i18n (0.1.0-1ubuntu2) utopic; urgency=medium

  * debian/rules: Fix running of testsuite. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 24 Jul 2014 08:44:57 -0400

python-oslo.i18n (0.1.0-1ubuntu1) utopic; urgency=medium

  * debian/control: Add python-pbr and python3-pbr. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 15 Jul 2014 08:33:01 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-oslo.i18n
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Julien Danjou <acid@debian.org>,
            Thomas Goirand <zigo@debian.org>,
            Mehdi Abaakouk <sileht@sileht.net>,
@@ -9,19 +10,18 @@
 Build-Depends: debhelper (>= 9),
                openstack-pkg-tools,
                python-all (>= 2.6.6-3~),
-               python-pbr,
                python-setuptools,
                python-sphinx,
+               python-pbr,
+               python3-pbr,
                python3-all,
-               python3-pbr,
                python3-setuptools
 Build-Depends-Indep: python-babel (>= 1.3),
                      python-oslosphinx,
                      python-oslotest,
-                     python-pip,
-                     python-six,
                      python3-babel (>= 1.3),
                      python3-oslotest,
+                     python-six,
                      python3-six,
                      subunit,
                      testrepository

=== debian/rules ===
--- 
+++ 
@@ -23,17 +23,7 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	set -e && for i in 2.7 $(PYTHON3S) ; do \
-		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
-		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
-		rm -rf .testrepository ; \
-		testr init ; \
-		TEMP_REZ=`mktemp -t` && \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
-		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
-		rm -f $$TEMP_REZ ; \
-		testr slowest ; \
-	done
+	testr init && testr run
 endif
 
 override_dh_clean:

## python-oslo.i18n 1.5.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=0.6,!=0.7,<1.0
Babel>=1.3
six>=1.9.0

=== debian/changelog ===
python-oslo.i18n (1.5.0-3) unstable; urgency=medium

  * Now setting $LANG before running tests (Closes: #795681).
  * Blacklist tests broken with mock >= 1.3.
  * Watch file using github tag instead of broken PyPi.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Aug 2015 20:41:34 +0000

python-oslo.i18n (1.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Apr 2015 13:49:57 +0000

python-oslo.i18n (1.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 07 Feb 2015 21:08:47 +0100

python-oslo.i18n (1.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Sep 2014 14:47:52 +0000

python-oslo.i18n (0.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Sep 2014 23:22:42 +0800

python-oslo.i18n (0.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Using python3 in tests.
  * Added python 3.2 fix in tests/test_fixture.py.
  * Added build-conflicts: python-oslo.i18n, python3-oslo.i18n.

 -- Thomas Goirand <zigo@debian.org>  Fri, 05 Sep 2014 11:28:46 +0800

=== debian/control ===
Source: python-oslo.i18n
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr,
               python3-setuptools,
Build-Depends-Indep: python-babel,
                     python-coverage,
                     python-hacking,
                     python-oslosphinx (>= 2.2.0.0),
                     python-oslotest (>= 1.2.0),
                     python-pip,
                     python-six (>= 1.9.0),
                     python3-babel,
                     python3-oslotest (>= 1.2.0),
                     python3-six (>= 1.9.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.i18n.git
Vcs-Git: git://anonscm.debian.org/openstack/python-oslo.i18n.git
Homepage: http://launchpad.net/oslo

Package: python-oslo.i18n
Architecture: all
Depends: python-babel,
         python-pbr,
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Description: Oslo Internationalization Utilities - Python 2.x
 The oslo.i18n library contain utilities for working with internationalization
 (i18n) features, especially translation for text strings in an application or
 library.
 .
 This package contains the Python 2.x module.

Package: python3-oslo.i18n
Architecture: all
Depends: python3-babel,
         python3-pbr,
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Description: Oslo Internationalization Utilities - Python 3.x
 The oslo.i18n library contain utilities for working with internationalization
 (i18n) features, especially translation for text strings in an application or
 library.
 .
 This package contains the Python 3.x module.

Package: python-oslo.i18n-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Oslo Internationalization Utilities - doc
 The oslo.i18n library contain utilities for working with internationalization
 (i18n) features, especially translation for text strings in an application or
 library.
 .
  This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,17 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	testr init && testr run
+	set -e ; for i in 2.7 $(PYTHON3S) ; do \
+		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
+		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
+		rm -rf .testrepository ; \
+		testr-python$$PYMAJOR init ; \
+		TEMP_REZ=`mktemp -t` ; \
+		LANG=en_US.UTF-8 PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'oslo_i18n\.tests\.(?!.*test_gettextutils\.GettextTest\.test_gettext_install_looks_up_localedir.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
+		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
+		rm -f $$TEMP_REZ ; \
+		testr-python$$PYMAJOR slowest ; \
+	done
 endif
 
 override_dh_clean:

=== debian/watch ===
version=3
https://github.com/openstack/oslo.i18n/tags .*/(\d[\d\.]+)\.tar\.gz

## python-oslo.i18n 2.6.0

=== requirements.txt ===
--- 
+++ 
@@ -2,6 +2,6 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-pbr>=0.6,!=0.7,<1.0
+pbr<2.0,>=1.6
 Babel>=1.3
 six>=1.9.0

=== debian/changelog ===
python-oslo.i18n (2.6.0-1~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 29 Sep 2015 06:28:49 +0000

python-oslo.i18n (2.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Sep 2015 17:43:10 +0200

python-oslo.i18n (2.5.0-1) experimental; urgency=medium

  [ James Page ]
  * Drop python-pip from BD's, not required.
  * Fixup typo in transitional package description (LP: #1471561).

  [ Thomas Goirand ]
  * Setting LANG=en_US.UTF-8 to avoid FTBFS (Closes: #795681).
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Dropped Python 3.2 patches.
  * Using github tags instead of PyPi for the watch file.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Aug 2015 22:50:33 +0200

python-oslo.i18n (1.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - d/control: Align with upstream version requirements.
  * Re-align with Ubuntu:
    - d/control: Add Breaks/Replaces for Ubuntu *oslo-i18n packages.
    - d/control: Add transitional packages for *oslo-i18n to support
      upgrades.
  * d/control: Update Homepage: field.

 -- James Page <james.page@ubuntu.com>  Tue, 02 Jun 2015 17:16:48 +0100

=== debian/control ===
--- 
+++ 
@@ -7,36 +7,41 @@
                dh-python,
                openstack-pkg-tools,
                python-all,
-               python-pbr,
+               python-pbr (>= 1.8),
                python-setuptools,
                python-sphinx,
                python3-all,
-               python3-pbr,
+               python3-pbr (>= 1.8),
                python3-setuptools,
 Build-Depends-Indep: python-babel,
                      python-coverage,
                      python-hacking,
-                     python-oslosphinx (>= 2.2.0.0),
-                     python-oslotest (>= 1.2.0),
-                     python-pip,
+                     python-mock (>= 1.3),
+                     python-oslo.config (>= 2.3.0),
+                     python-oslosphinx (>= 2.5.0),
+                     python-oslotest (>= 1.10.0),
                      python-six (>= 1.9.0),
                      python3-babel,
-                     python3-oslotest (>= 1.2.0),
+                     python3-mock (>= 1.3),
+                     python3-oslo.config (>= 2.3.0),
+                     python3-oslotest (>= 1.10.0),
                      python3-six (>= 1.9.0),
                      subunit,
                      testrepository,
 Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.i18n.git
 Vcs-Git: git://anonscm.debian.org/openstack/python-oslo.i18n.git
-Homepage: http://launchpad.net/oslo
+Homepage: https://github.com/openstack/oslo.i18n
 
 Package: python-oslo.i18n
 Architecture: all
 Depends: python-babel,
-         python-pbr,
+         python-pbr (>= 1.8),
          python-six (>= 1.9.0),
          ${misc:Depends},
          ${python:Depends},
+Breaks: python-oslo-i18n (<< 1.7.0-1~)
+Replaces: python-oslo-i18n (<< 1.7.0-1~)
 Description: Oslo Internationalization Utilities - Python 2.x
  The oslo.i18n library contain utilities for working with internationalization
  (i18n) features, especially translation for text strings in an application or
@@ -47,10 +52,12 @@
 Package: python3-oslo.i18n
 Architecture: all
 Depends: python3-babel,
-         python3-pbr,
+         python3-pbr (>= 1.8),
          python3-six (>= 1.9.0),
          ${misc:Depends},
          ${python3:Depends},
+Breaks: python3-oslo-i18n (<< 1.7.0-1~)
+Replaces: python3-oslo-i18n (<< 1.7.0-1~)
 Description: Oslo Internationalization Utilities - Python 3.x
  The oslo.i18n library contain utilities for working with internationalization
  (i18n) features, especially translation for text strings in an application or
@@ -68,4 +75,31 @@
  (i18n) features, especially translation for text strings in an application or
  library.
  .
-  This package contains the documentation.
+ This package contains the documentation.
+
+Package: python-oslo-i18n
+Section: oldlibs
+Priority: extra
+Architecture: all
+Depends: python-oslo.i18n,
+         ${misc:Depends},
+Description: transitional dummy package for python-oslo-i18n
+ This transitional package is safe to remove.
+
+Package: python-oslo-i18n-doc
+Section: oldlibs
+Priority: extra
+Architecture: all
+Depends: python-oslo.i18n-doc,
+         ${misc:Depends},
+Description: transitional dummy package for python-oslo-i18n-doc
+ This transitional package is safe to remove.
+
+Package: python3-oslo-i18n
+Section: oldlibs
+Priority: extra
+Architecture: all
+Depends: python3-oslo.i18n,
+         ${misc:Depends},
+Description: transitional dummy package for python3-oslo-i18n
+ This transitional package is safe to remove.

=== debian/rules ===
--- 
+++ 
@@ -23,13 +23,13 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	set -e ; for i in 2.7 $(PYTHON3S) ; do \
+	set -e && for i in 2.7 $(PYTHON3S) ; do \
 		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
 		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
 		rm -rf .testrepository ; \
 		testr-python$$PYMAJOR init ; \
-		TEMP_REZ=`mktemp -t` ; \
-		LANG=en_US.UTF-8 PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'oslo_i18n\.tests\.(?!.*test_gettextutils\.GettextTest\.test_gettext_install_looks_up_localedir.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
+		TEMP_REZ=`mktemp -t` && \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
 		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
 		rm -f $$TEMP_REZ ; \
 		testr-python$$PYMAJOR slowest ; \

## python-oslo.i18n 3.5.0

=== requirements.txt ===
--- 
+++ 
@@ -2,6 +2,6 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-pbr<2.0,>=1.6
-Babel>=1.3
-six>=1.9.0
+pbr>=1.6 # Apache-2.0
+Babel>=1.3 # BSD
+six>=1.9.0 # MIT

=== debian/changelog ===
python-oslo.i18n (3.5.0-2) unstable; urgency=medium

  * Uploading to Unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 07:43:55 +0000

python-oslo.i18n (3.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed version of python{3,}-oslo.config in build-depends-indep.

 -- Thomas Goirand <zigo@debian.org>  Sat, 02 Apr 2016 14:26:11 +0200

python-oslo.i18n (3.4.0-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * d/control: Align depends with upstream.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Mar 2016 12:31:47 +0000

python-oslo.i18n (3.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Jan 2016 05:52:54 +0000

python-oslo.i18n (3.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jan 2016 01:20:32 +0000

python-oslo.i18n (3.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Nov 2015 15:16:16 +0100

python-oslo.i18n (2.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 19:37:09 +0000

=== debian/control ===
--- 
+++ 
@@ -17,20 +17,20 @@
                      python-coverage,
                      python-hacking,
                      python-mock (>= 1.3),
-                     python-oslo.config (>= 2.3.0),
+                     python-oslo.config (>= 1:3.7.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
                      python-six (>= 1.9.0),
                      python3-babel,
                      python3-mock (>= 1.3),
-                     python3-oslo.config (>= 2.3.0),
+                     python3-oslo.config (>= 1:3.7.0),
                      python3-oslotest (>= 1.10.0),
                      python3-six (>= 1.9.0),
                      subunit,
                      testrepository,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.i18n.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-oslo.i18n.git
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-oslo.i18n.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-oslo.i18n.git
 Homepage: https://github.com/openstack/oslo.i18n
 
 Package: python-oslo.i18n
@@ -84,7 +84,7 @@
 Depends: python-oslo.i18n,
          ${misc:Depends},
 Description: transitional dummy package for python-oslo-i18n
- This transitional package is safe to remove.
+ This transitional package to python-oslo.i18n is safe to remove.
 
 Package: python-oslo-i18n-doc
 Section: oldlibs
@@ -93,7 +93,7 @@
 Depends: python-oslo.i18n-doc,
          ${misc:Depends},
 Description: transitional dummy package for python-oslo-i18n-doc
- This transitional package is safe to remove.
+ This transitional package to python-oslo.i18n-doc is safe to remove.
 
 Package: python3-oslo-i18n
 Section: oldlibs
@@ -102,4 +102,4 @@
 Depends: python3-oslo.i18n,
          ${misc:Depends},
 Description: transitional dummy package for python3-oslo-i18n
- This transitional package is safe to remove.
+ This transitional package to python3-oslo.i18n is safe to remove.

=== debian/rules ===
--- 
+++ 
@@ -41,7 +41,10 @@
 	rm -rf build
 
 override_dh_sphinxdoc:
-	sphinx-build -b html doc/source debian/python-oslo.i18n-doc/usr/share/doc/python-oslo.i18n-doc/html
+	set -e ; if ! sphinx-build -b html doc/source debian/python-oslo.i18n-doc/usr/share/doc/python-oslo.i18n-doc/html ; then \
+		cat /tmp/sphinx-err-* ; \
+		exit 1 ; \
+	fi
 	dh_sphinxdoc -O--buildsystem=python_distutils
 
 # Commands not to run

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/oslo.i18n/tags .*/(\d[\d\.]+)\.tar\.gz

## python-oslo.i18n 3.7.0

=== debian/changelog ===
python-oslo.i18n (3.7.0-1+1~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Sat, 03 Sep 2016 19:15:54 +0000

python-oslo.i18n (3.7.0-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

  [ Corey Bryant ]
  * d/control: Align python-oslo.config BD with upstream.

  [ Thomas Goirand ]
  * Drop python-oslo-* transition packages not needed since Xenial.
  * Switch to pkgos-dh_auto_{test,install}.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Jul 2016 14:48:09 +0000

python-oslo.i18n (3.6.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update branch for Newton.
  * d/control: Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Added Corey Bryant as uploader.

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Jun 2016 07:24:08 +0000

=== debian/control ===
Source: python-oslo.i18n
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
           David Della Vecchia <ddv@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-babel,
                     python-coverage,
                     python-hacking,
                     python-mock (>= 2.0),
#                     python-oslo.config (>= 1:3.10.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-six (>= 1.9.0),
                     python3-babel,
                     python3-mock (>= 2.0),
#                     python3-oslo.config (>= 1:3.10.0),
                     python3-oslotest (>= 1.10.0),
                     python3-six (>= 1.9.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-oslo.i18n.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/python-oslo.i18n.git
Homepage: https://github.com/openstack/oslo.i18n

Package: python-oslo.i18n
Architecture: all
Depends: python-babel,
         python-pbr (>= 1.8),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Breaks: python-oslo-i18n (<< 1.7.0-1~),
Replaces: python-oslo-i18n (<< 1.7.0-1~),
Description: Oslo Internationalization Utilities - Python 2.x
 The oslo.i18n library contain utilities for working with internationalization
 (i18n) features, especially translation for text strings in an application or
 library.
 .
 This package contains the Python 2.x module.

Package: python3-oslo.i18n
Architecture: all
Depends: python3-babel,
         python3-pbr (>= 1.8),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Breaks: python3-oslo-i18n (<< 1.7.0-1~),
Replaces: python3-oslo-i18n (<< 1.7.0-1~),
Description: Oslo Internationalization Utilities - Python 3.x
 The oslo.i18n library contain utilities for working with internationalization
 (i18n) features, especially translation for text strings in an application or
 library.
 .
 This package contains the Python 3.x module.

Package: python-oslo.i18n-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Oslo Internationalization Utilities - doc
 The oslo.i18n library contain utilities for working with internationalization
 (i18n) features, especially translation for text strings in an application or
 library.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.i18n.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "Disabled unit tests until oslo.config can be installed"
#	pkgos-dh_auto_test
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	set -e ; if ! sphinx-build -b html doc/source debian/python-oslo.i18n-doc/usr/share/doc/python-oslo.i18n-doc/html ; then \
		cat /tmp/sphinx-err-* ; \
		exit 1 ; \
	fi
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-oslo.i18n 3.9.0

=== requirements.txt ===
--- 
+++ 
@@ -3,5 +3,5 @@
 # process, which may cause wedges in the gate later.
 
 pbr>=1.6 # Apache-2.0
-Babel>=1.3 # BSD
+Babel>=2.3.4 # BSD
 six>=1.9.0 # MIT

=== debian/changelog ===
python-oslo.i18n (3.9.0-4+1~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Sun, 26 Feb 2017 22:36:39 +0000

python-oslo.i18n (3.9.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Fixed oslotest EPOCH.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:12:50 +0200

python-oslo.i18n (3.9.0-2) experimental; urgency=medium

  * Using OpenStack's gerrit in VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Sep 2016 09:58:17 +0200

python-oslo.i18n (3.9.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

  [ James Page ]
  * New upstream release.
  * Align Build-Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Aug 2016 08:46:47 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Corey Bryant <corey.bryant@canonical.com>,
            David Della Vecchia <ddv@canonical.com>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools (>= 52~),
                python-all,
@@ -19,20 +19,20 @@
                      python-coverage,
                      python-hacking,
                      python-mock (>= 2.0),
-#                     python-oslo.config (>= 1:3.10.0),
+                     python-oslo.config (>= 1:3.14.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
+                     python-oslotest (>= 1:1.10.0),
                      python-six (>= 1.9.0),
                      python3-babel,
                      python3-mock (>= 2.0),
-#                     python3-oslo.config (>= 1:3.10.0),
-                     python3-oslotest (>= 1.10.0),
+                     python3-oslo.config (>= 1:3.14.0),
+                     python3-oslotest (>= 1:1.10.0),
                      python3-six (>= 1.9.0),
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-oslo.i18n.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-oslo.i18n.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-oslo.i18n?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/python-oslo.i18n -b debian/newton
 Homepage: https://github.com/openstack/oslo.i18n
 
 Package: python-oslo.i18n
@@ -42,8 +42,6 @@
          python-six (>= 1.9.0),
          ${misc:Depends},
          ${python:Depends},
-Breaks: python-oslo-i18n (<< 1.7.0-1~),
-Replaces: python-oslo-i18n (<< 1.7.0-1~),
 Description: Oslo Internationalization Utilities - Python 2.x
  The oslo.i18n library contain utilities for working with internationalization
  (i18n) features, especially translation for text strings in an application or
@@ -58,8 +56,6 @@
          python3-six (>= 1.9.0),
          ${misc:Depends},
          ${python3:Depends},
-Breaks: python3-oslo-i18n (<< 1.7.0-1~),
-Replaces: python3-oslo-i18n (<< 1.7.0-1~),
 Description: Oslo Internationalization Utilities - Python 3.x
  The oslo.i18n library contain utilities for working with internationalization
  (i18n) features, especially translation for text strings in an application or

## python-oslo.i18n 3.12.0

=== requirements.txt ===
--- 
+++ 
@@ -2,6 +2,6 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-pbr>=1.6 # Apache-2.0
+pbr>=1.8 # Apache-2.0
 Babel>=2.3.4 # BSD
 six>=1.9.0 # MIT

=== debian/changelog ===
python-oslo.i18n (3.12.0-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 19 Jan 2017 20:00:28 +0000

python-oslo.i18n (3.12.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 19 Jan 2017 13:34:58 -0500

python-oslo.i18n (3.11.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Align (build-)depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 05 Dec 2016 09:49:34 -0500

python-oslo.i18n (3.10.0-1ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version.
   

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 25 Oct 2016 09:52:33 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: python-oslo.i18n
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Corey Bryant <corey.bryant@canonical.com>,
            David Della Vecchia <ddv@canonical.com>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools (>= 52~),
                python-all,
@@ -21,18 +22,20 @@
                      python-mock (>= 2.0),
                      python-oslo.config (>= 1:3.14.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1:1.10.0),
+                     python-oslotest (>= 1.10.0),
                      python-six (>= 1.9.0),
+                     python-testscenarios (>= 0.4),
                      python3-babel,
                      python3-mock (>= 2.0),
                      python3-oslo.config (>= 1:3.14.0),
-                     python3-oslotest (>= 1:1.10.0),
+                     python3-oslotest (>= 1.10.0),
                      python3-six (>= 1.9.0),
+                     python3-testscenarios (>= 0.4),
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-oslo.i18n?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/python-oslo.i18n -b debian/newton
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.i18n
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.i18n
 Homepage: https://github.com/openstack/oslo.i18n
 
 Package: python-oslo.i18n
@@ -42,6 +45,8 @@
          python-six (>= 1.9.0),
          ${misc:Depends},
          ${python:Depends},
+Breaks: python-oslo-i18n (<< 1.7.0-1~),
+Replaces: python-oslo-i18n (<< 1.7.0-1~),
 Description: Oslo Internationalization Utilities - Python 2.x
  The oslo.i18n library contain utilities for working with internationalization
  (i18n) features, especially translation for text strings in an application or
@@ -56,6 +61,8 @@
          python3-six (>= 1.9.0),
          ${misc:Depends},
          ${python3:Depends},
+Breaks: python3-oslo-i18n (<< 1.7.0-1~),
+Replaces: python3-oslo-i18n (<< 1.7.0-1~),
 Description: Oslo Internationalization Utilities - Python 3.x
  The oslo.i18n library contain utilities for working with internationalization
  (i18n) features, especially translation for text strings in an application or

## python-oslo.i18n 3.17.0

=== requirements.txt ===
--- 
+++ 
@@ -2,6 +2,6 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-pbr>=1.8 # Apache-2.0
-Babel>=2.3.4 # BSD
+pbr!=2.1.0,>=2.0.0 # Apache-2.0
+Babel!=2.4.0,>=2.3.4 # BSD
 six>=1.9.0 # MIT

=== debian/changelog ===
python-oslo.i18n (3.17.0-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Sat, 12 Aug 2017 02:10:12 +0000

python-oslo.i18n (3.17.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Aug 2017 17:53:44 -0400

python-oslo.i18n (3.15.3-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (build-)depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Jun 2017 09:23:46 +0100

python-oslo.i18n (3.15.0-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

  [ James Page ]
  * d/watch: Use tarballs.openstack.org.
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 10:03:12 +0100

=== debian/control ===
--- 
+++ 
@@ -10,29 +10,30 @@
                dh-python,
                openstack-pkg-tools (>= 52~),
                python-all,
-               python-pbr (>= 1.8),
+               python-pbr (>= 2.0.0),
                python-setuptools,
-               python-sphinx,
+               python-sphinx (>= 1.5.1),
                python3-all,
-               python3-pbr (>= 1.8),
+               python3-pbr (>= 2.0.0),
                python3-setuptools,
-Build-Depends-Indep: python-babel,
-                     python-coverage,
-                     python-hacking,
+Build-Depends-Indep: python-babel (>= 2.3.4),
+                     python-coverage (>= 4.0),
                      python-mock (>= 2.0),
-                     python-oslo.config (>= 1:3.14.0),
-                     python-oslosphinx (>= 2.5.0),
+                     python-openstackdocstheme (>= 1.11.0),
+                     python-oslo.config (>= 1:4.0.0),
                      python-oslotest (>= 1.10.0),
                      python-six (>= 1.9.0),
                      python-testscenarios (>= 0.4),
-                     python3-babel,
+                     python3-babel (>= 2.3.4),
+                     python3-coverage (>= 4.0),
                      python3-mock (>= 2.0),
-                     python3-oslo.config (>= 1:3.14.0),
+                     python3-openstackdocstheme (>= 1.11.0),
+                     python3-oslo.config (>= 1:4.0.0),
                      python3-oslotest (>= 1.10.0),
                      python3-six (>= 1.9.0),
                      python3-testscenarios (>= 0.4),
                      subunit,
-                     testrepository,
+                     testrepository
 Standards-Version: 3.9.8
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.i18n
 Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.i18n
@@ -41,10 +42,9 @@
 Package: python-oslo.i18n
 Architecture: all
 Depends: python-babel,
-         python-pbr (>= 1.8),
          python-six (>= 1.9.0),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Breaks: python-oslo-i18n (<< 1.7.0-1~),
 Replaces: python-oslo-i18n (<< 1.7.0-1~),
 Description: Oslo Internationalization Utilities - Python 2.x
@@ -57,10 +57,9 @@
 Package: python3-oslo.i18n
 Architecture: all
 Depends: python3-babel,
-         python3-pbr (>= 1.8),
          python3-six (>= 1.9.0),
          ${misc:Depends},
-         ${python3:Depends},
+         ${python3:Depends}
 Breaks: python3-oslo-i18n (<< 1.7.0-1~),
 Replaces: python3-oslo-i18n (<< 1.7.0-1~),
 Description: Oslo Internationalization Utilities - Python 3.x

## python-oslo.i18n 3.19.0

=== debian/changelog ===
python-oslo.i18n (3.19.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:23:48 +0000

python-oslo.i18n (3.19.0-1) experimental; urgency=medium

  * Set VCS URLs to point to salsa.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Sat, 10 Feb 2018 20:17:53 +0100

python-oslo.i18n (3.17.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Standards-Version is now 4.1.1.
  * Switched to debhelper 10.
  * Using pkgos-dh_auto_{install,test}.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 21:14:58 +0000

python-oslo.i18n (3.17.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Thomas Goirand ]
  * New upstream release.
  * Reviewed (build-)depends for this release.
  * Removed now useless transition packages.

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Aug 2017 03:24:26 +0200

=== debian/control ===
Source: python-oslo.i18n
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python-babel,
 python-coverage,
 python-hacking,
 python-mock,
 python-openstackdocstheme (>= 1.17.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslotest,
 python-six,
 python-testscenarios,
 python3-babel,
 python3-mock,
 python3-oslo.config (>= 1:5.1.0),
 python3-oslotest,
 python3-six,
 python3-testscenarios,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.i18n
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.i18n.git
Homepage: https://github.com/openstack/oslo.i18n

Package: python-oslo.i18n
Architecture: all
Depends:
 python-babel,
 python-pbr (>= 2.0.0),
 python-six (>= 1.9.0),
 ${misc:Depends},
 ${python:Depends},
Description: Oslo Internationalization Utilities - Python 2.x
 The oslo.i18n library contain utilities for working with internationalization
 (i18n) features, especially translation for text strings in an application or
 library.
 .
 This package contains the Python 2.x module.

Package: python-oslo.i18n-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Oslo Internationalization Utilities - doc
 The oslo.i18n library contain utilities for working with internationalization
 (i18n) features, especially translation for text strings in an application or
 library.
 .
 This package contains the documentation.

Package: python3-oslo.i18n
Architecture: all
Depends:
 python3-babel,
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.9.0),
 ${misc:Depends},
 ${python3:Depends},
Description: Oslo Internationalization Utilities - Python 3.x
 The oslo.i18n library contain utilities for working with internationalization
 (i18n) features, especially translation for text strings in an application or
 library.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,7 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	echo "Disabled unit tests until oslo.config can be installed"
-#	pkgos-dh_auto_test
+	pkgos-dh_auto_test
 endif
 
 override_dh_clean:
@@ -20,11 +19,13 @@
 	rm -rf build
 
 override_dh_sphinxdoc:
+ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
 	set -e ; if ! sphinx-build -b html doc/source debian/python-oslo.i18n-doc/usr/share/doc/python-oslo.i18n-doc/html ; then \
 		cat /tmp/sphinx-err-* ; \
 		exit 1 ; \
 	fi
 	dh_sphinxdoc -O--buildsystem=python_distutils
+endif
 
 # Commands not to run
 override_dh_installcatalogs:
@@ -35,3 +36,4 @@
 override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
 override_dh_installcron override_dh_installdebconf:
 override_dh_installlogrotate override_dh_installgsettings:
+
